CREATE DATABASE HYADES;

CONNECT TO HYADES USER DB2ADMIN;

UPDATE DB CFG FOR HYADES USING logretain OFF logprimary 5 logsecond 2 logfilsiz 15000;
UPDATE DB CFG FOR HYADES USING applheapsz 10250;
UPDATE DB CFG FOR HYADES USING buffpage 10250;
UPDATE DB CFG FOR HYADES USING softmax 400;

UPDATE DATABASE CONFIGURATION FOR HYADES USING APP_CTL_HEAP_SZ 144;
UPDATE DATABASE CONFIGURATION FOR HYADES USING APPGROUP_MEM_SZ        13059;
UPDATE DATABASE CONFIGURATION FOR HYADES USING CATALOGCACHE_SZ 260;
UPDATE DATABASE CONFIGURATION FOR HYADES USING CHNGPGS_THRESH  60;
UPDATE DATABASE CONFIGURATION FOR HYADES USING DBHEAP          600;
UPDATE DATABASE CONFIGURATION FOR HYADES USING LOCKLIST        50;
UPDATE DATABASE CONFIGURATION FOR HYADES USING LOGBUFSZ        132;
UPDATE DATABASE CONFIGURATION FOR HYADES USING LOGFILSIZ       1500;
UPDATE DATABASE CONFIGURATION FOR HYADES USING LOGPRIMARY      10;
UPDATE DATABASE CONFIGURATION FOR HYADES USING LOGSECOND       10;
UPDATE DATABASE CONFIGURATION FOR HYADES USING MAXAPPLS        40;
UPDATE DATABASE CONFIGURATION FOR HYADES USING MAXLOCKS        60;
UPDATE DATABASE CONFIGURATION FOR HYADES USING MINCOMMIT       1;
UPDATE DATABASE CONFIGURATION FOR HYADES USING NUM_IOCLEANERS  1;
UPDATE DATABASE CONFIGURATION FOR HYADES USING NUM_IOSERVERS   7;
UPDATE DATABASE CONFIGURATION FOR HYADES USING PCKCACHESZ      859;
UPDATE DATABASE CONFIGURATION FOR HYADES USING SOFTMAX         120;
UPDATE DATABASE CONFIGURATION FOR HYADES USING SORTHEAP        2048;
UPDATE DATABASE CONFIGURATION FOR HYADES USING STMTHEAP        2048;
UPDATE DATABASE CONFIGURATION FOR HYADES USING DFT_DEGREE      1;
UPDATE DATABASE CONFIGURATION FOR HYADES USING DFT_PREFETCH_SZ 32;
UPDATE DATABASE CONFIGURATION FOR HYADES USING UTIL_HEAP_SZ    100000;
UPDATE DATABASE MANAGER CONFIGURATION USING SHEAPTHRES         15910;
UPDATE DATABASE MANAGER CONFIGURATION USING INTRA_PARALLEL     0;
UPDATE DATABASE MANAGER CONFIGURATION USING MAX_QUERYDEGREE    1;
UPDATE DATABASE MANAGER CONFIGURATION USING MAXAGENTS          400;
UPDATE DATABASE MANAGER CONFIGURATION USING NUM_POOLAGENTS     30;
UPDATE DATABASE MANAGER CONFIGURATION USING NUM_INITAGENTS     0;
UPDATE DATABASE MANAGER CONFIGURATION USING FCM_NUM_BUFFERS    4096;
UPDATE DATABASE MANAGER CONFIGURATION USING PRIV_MEM_THRESH        32767;
ALTER BUFFERPOOL IBMDEFAULTBP SIZE 250;
SET CURRENT QUERY OPTIMIZATION = 5;

CREATE BUFFERPOOL HYADES4K_BP SIZE 32000 PAGESIZE 4K;

CREATE BUFFERPOOL HYADES8K_BP SIZE 32000 PAGESIZE 8K;

CREATE BUFFERPOOL HYADES16K_BP SIZE 32000 PAGESIZE 16K;

CREATE REGULAR  TABLESPACE HYADES4K_TS PAGESIZE 4K  MANAGED BY SYSTEM  USING ('C:\DB2\Hyades4k' ) EXTENTSIZE 32 PREFETCHSIZE 32 BUFFERPOOL HYADES4K_BP;

CREATE REGULAR  TABLESPACE HYADES8K_TS PAGESIZE 8K  MANAGED BY SYSTEM  USING ('C:\DB2\Hyades8k' ) EXTENTSIZE 32 PREFETCHSIZE 32 BUFFERPOOL HYADES8K_BP;

CREATE REGULAR  TABLESPACE HYADES16K_TS PAGESIZE 16K  MANAGED BY SYSTEM  USING ('C:\DB2\Hyades16k' ) EXTENTSIZE 32 PREFETCHSIZE 32 BUFFERPOOL HYADES16K_BP;

CREATE TEMPORARY TABLESPACE HYADES_TEMP PAGESIZE 16K MANAGED BY SYSTEM USING ('C:\DB2\Hyades_Temp')EXTENTSIZE 32 PREFETCHSIZE 32 BUFFERPOOL HYADES16K_BP;
CREATE USER TEMPORARY TABLESPACE USER_TEMP PAGESIZE 16K MANAGED BY SYSTEM USING ('USER_TEMP') BUFFERPOOL HYADES16K_BP;   
 
CREATE SEQUENCE id_sequence AS INT MINVALUE 0 MAXVALUE 2147483647 START WITH 0 INCREMENT BY 1 CACHE 20 NO CYCLE NO ORDER;
CREATE SEQUENCE order_sequence AS INT MINVALUE 0 MAXVALUE 2147483647 START WITH 0 INCREMENT BY 1 CACHE 20 NO CYCLE NO ORDER;

CREATE TABLE ContextValueTemp (correlationContainer INT, objId INTEGER, agentIndex INTEGER, contextValue VARCHAR(8000), contextName VARCHAR(225), contextType VARCHAR(225), host VARCHAR(225), database VARCHAR(225), threadId VARCHAR(225), processId VARCHAR(255)) IN HYADES16K_TS;
CREATE TABLE Correlation_Temp (correlationContainer INT,objId INT,creationTime double,agentIndex INT ) IN HYADES4K_TS;
CREATE TABLE Correlation_Params  (correlationContainer INT NOT NULL, agentPath VARCHAR(255) NOT NULL, deltaTime DOUBLE NOT NULL WITH DEFAULT 0,agentIndex INT ) IN HYADES4K_TS;

CREATE TABLE AbstractDefaultEvent (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  agent INT,  agent_TYPE SMALLINT,  agent_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE AbstractTRCCollectionBoundary (  p_p VARCHAR(255),  name VARCHAR(255),  startTime DOUBLE PRECISION DEFAULT 0.0,  collectionMode VARCHAR(255) DEFAULT 'HEAP_STATISTICS_ONLY',  id INT NOT NULL PRIMARY KEY,  configuration INT,  configuration_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE AbstractTRCDescription (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  agent INT,  agent_TYPE SMALLINT,  agent_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE AbstractTRCProcess (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE AbstractTRCView (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE ArithmeticExpression (  p_p VARCHAR(255),  operator VARCHAR(255) DEFAULT 'ADD',  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE ArithmeticExpression_arguments (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE BinaryExpression (  p_p VARCHAR(255),  operator VARCHAR(255) DEFAULT 'LT',  caseInsensitive CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  instanceQuery INT,  instanceQuery_TYPE SMALLINT,  instanceQuery_Order INT,  leftOperand INT,  leftOperand_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE BinaryExpression_rightOperands (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE CBEAvailableSituation (  p_p VARCHAR(255),  operationDisposition VARCHAR(255),  processingDisposition VARCHAR(255),  availabilityDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBECommonBaseEvent (  p_p VARCHAR(255),  localInstanceId VARCHAR(255),  globalInstanceId VARCHAR(255),  creationTime DOUBLE PRECISION DEFAULT 0.0,  timeZone SMALLINT DEFAULT 0,  severity SMALLINT DEFAULT 0,  priority SMALLINT DEFAULT 0,  msg VARCHAR(8000),  repeatCount SMALLINT DEFAULT 0,  elapsedTime BIGINT DEFAULT 0,  sequenceNumber BIGINT DEFAULT 0,  version VARCHAR(255) DEFAULT 'commonbaseevent1_0',  id INT NOT NULL PRIMARY KEY,  reporterComponentId INT,  reporterComponentId_TYPE SMALLINT,  sourceComponentId INT,  sourceComponentId_TYPE SMALLINT,  msgDataElement INT,  msgDataElement_TYPE SMALLINT,  situation INT,  situation_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE CBECommonBaseEvent_contextDataElements (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE CBECommonBaseEvent_otherData (  Id INT,  Value VARCHAR(8000),  Order INT) IN HYADES8K_TS;
CREATE TABLE CBEComponentIdentification (  p_p VARCHAR(255),  location VARCHAR(255),  locationType VARCHAR(255),  application VARCHAR(255),  executionEnvironment VARCHAR(255),  component VARCHAR(255),  subComponent VARCHAR(255),  componentIdType VARCHAR(255),  instanceId VARCHAR(255),  processId VARCHAR(255),  threadId VARCHAR(255),  componentType VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEConfigureSituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEConnectSituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  situationDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEContextDataElement (  p_p VARCHAR(255),  contextId VARCHAR(255),  type VARCHAR(255),  name VARCHAR(255),  contextValue VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE CBECreateSituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEDefaultElement (  p_p VARCHAR(255),  name VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEDefaultElement_children (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE CBEDefaultElement_values (  Id INT,  Value VARCHAR(8000),  Order INT) IN HYADES8K_TS;
CREATE TABLE CBEDefaultEvent (  p_p VARCHAR(255),  extensionName VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEDefaultEvent_extendedProperties (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE CBEDependencySituation (  p_p VARCHAR(255),  dependencyDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEDestroySituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEExtendedDataElement (  p_p VARCHAR(255),  type VARCHAR(255),  hexValue VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE CBEFeatureSituation (  p_p VARCHAR(255),  featureDisposition VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEMsgDataElement (  p_p VARCHAR(255),  msgId VARCHAR(255),  msgIdType VARCHAR(255),  msgCatalogId VARCHAR(255),  msgCatalog VARCHAR(255),  msgLocale VARCHAR(255),  msgCatalogType VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEMsgDataElement_msgCatalogTokens (  Id INT,  Value VARCHAR(8000),  Order INT) IN HYADES8K_TS;
CREATE TABLE CBEOtherSituation (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEOtherSituation_anyData (  Id INT,  Value VARCHAR(8000),  Order INT) IN HYADES8K_TS;
CREATE TABLE CBEReportSituation (  p_p VARCHAR(255),  reportCategory VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBERequestSituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  situationQualifier VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBESituation (  p_p VARCHAR(255),  categoryName VARCHAR(255),  reasoningScope VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEStartSituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  situationQualifier VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CBEStopSituation (  p_p VARCHAR(255),  successDisposition VARCHAR(255),  situationQualifier VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CorrelationContainer (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  correlationContainerProxy INT,  correlationContainerProxy_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CorrelationContainerProxy (  p_p VARCHAR(255),  name VARCHAR(255),  creationTime BIGINT DEFAULT 0,  id INT NOT NULL PRIMARY KEY,  monitor INT,  monitor_TYPE SMALLINT,  monitor_Order INT,  correlationEngine INT,  correlationEngine_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CorrelationContainerProxy_correlatedAgents (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE CorrelationEngine (  p_p VARCHAR(255),  type VARCHAR(255),  name VARCHAR(255),  id VARCHAR(255),  description VARCHAR(255),  databaseId INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CorrelationEntry (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  correlationContainer INT,  correlationContainer_TYPE SMALLINT,  correlationContainer_Order INT,  key INT,  key_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CorrelationEntry_value (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE CorrelationQuery (  p_p VARCHAR(255),  correlationContainerURI VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE CorrelationQuery_deltaTime (  Id INT,  Value DOUBLE PRECISION,  Order INT) IN HYADES4K_TS;
CREATE TABLE CorrelationSourceInfo (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  targetInfo INT,  targetInfo_TYPE SMALLINT,  targetInfo_Order INT,  owner INT,  owner_TYPE SMALLINT,  reference INT,  reference_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EAnnotation (  p_p VARCHAR(255),  source VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  eModelElement INT,  eModelElement_TYPE SMALLINT,  eModelElement_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EAnnotation_contents (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE EAnnotation_details (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE EAnnotation_references (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE EAttribute (  p_p VARCHAR(255),  emf_iD CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EClass (  p_p VARCHAR(255),  abstract CHAR(1) DEFAULT '0',  interface CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EClass_eSuperTypes (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE EClassifier (  p_p VARCHAR(255),  instanceClassName VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  ePackage INT,  ePackage_TYPE SMALLINT,  ePackage_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EDataType (  p_p VARCHAR(255),  serializable CHAR(1) DEFAULT '1',  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EEnum (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EEnumLiteral (  p_p VARCHAR(255),  value INT DEFAULT 0,  id INT NOT NULL PRIMARY KEY,  eEnum INT,  eEnum_TYPE SMALLINT,  eEnum_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EFactory (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EModelElement (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE ENamedElement (  p_p VARCHAR(255),  name VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EObject (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EOperation (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  eContainingClass INT,  eContainingClass_TYPE SMALLINT,  eContainingClass_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EOperation_eExceptions (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE EPackage (  p_p VARCHAR(255),  nsURI VARCHAR(255),  nsPrefix VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  eSuperPackage INT,  eSuperPackage_TYPE SMALLINT,  eSuperPackage_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EParameter (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  eOperation INT,  eOperation_TYPE SMALLINT,  eOperation_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EReference (  p_p VARCHAR(255),  containment CHAR(1) DEFAULT '0',  resolveProxies CHAR(1) DEFAULT '1',  id INT NOT NULL PRIMARY KEY,  eOpposite INT,  eOpposite_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE EStringToStringMapEntry (  p_p VARCHAR(255),  key VARCHAR(255),  value VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE EStructuralFeature (  p_p VARCHAR(255),  changeable CHAR(1) DEFAULT '1',  volatile CHAR(1) DEFAULT '0',  transient CHAR(1) DEFAULT '0',  defaultValueLiteral VARCHAR(255),  unsettable CHAR(1) DEFAULT '0',  derived CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  eContainingClass INT,  eContainingClass_TYPE SMALLINT,  eContainingClass_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE ETypedElement (  p_p VARCHAR(255),  ordered CHAR(1) DEFAULT '1',  unique CHAR(1) DEFAULT '1',  lowerBound INT DEFAULT 0,  upperBound INT DEFAULT 1,  id INT NOT NULL PRIMARY KEY,  eType INT,  eType_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE Id_Table (  Id INT) IN HYADES4K_TS;
CREATE TABLE InstanceQuery (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE LogicalExpression (  p_p VARCHAR(255),  operator VARCHAR(255) DEFAULT 'NOT',  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE LogicalExpression_arguments (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE NumericFunction (  p_p VARCHAR(255),  function VARCHAR(255) DEFAULT 'MAX',  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE NumericFunction_arguments (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE Operand (  p_p VARCHAR(255),  name VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  query INT,  query_TYPE SMALLINT,  query_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE OrderByElement (  p_p VARCHAR(255),  operator VARCHAR(255) DEFAULT 'ASC',  id INT NOT NULL PRIMARY KEY,  searchQuery INT,  searchQuery_TYPE SMALLINT,  searchQuery_Order INT,  operand INT,  operand_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE Proxy_Table (  URI VARCHAR(255),  Table_Name VARCHAR(255),  Id INT,  Proxy_URI VARCHAR(255)) IN HYADES4K_TS;
CREATE TABLE Query (  p_p VARCHAR(255),  name VARCHAR(255),  distinct CHAR(1) DEFAULT '0',  count CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  query INT,  query_TYPE SMALLINT,  query_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE QueryResult (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  query INT,  query_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE QueryResult_resultEntries (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE Query_sources (  Id INT,  Value VARCHAR(8000),  Order INT) IN HYADES8K_TS;
CREATE TABLE Resource_Table (  URI VARCHAR(255),  Table_Name VARCHAR(255),  Id INT) IN HYADES4K_TS;
CREATE TABLE ResultEntry (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE SDBDirective (  p_p VARCHAR(255),  id VARCHAR(255),  description VARCHAR(255),  directiveString VARCHAR(255),  databaseId INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE SDBMatchPattern (  p_p VARCHAR(255),  name VARCHAR(255),  value VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE SDBRuntime (  p_p VARCHAR(255),  id VARCHAR(255),  name VARCHAR(255),  symptomUrl VARCHAR(255),  localExternalFileLocation VARCHAR(255),  description VARCHAR(255),  databaseId INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE SDBRuntime_directives (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE SDBRuntime_solutions (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE SDBRuntime_symptoms (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE SDBSolution (  p_p VARCHAR(255),  description VARCHAR(255),  id VARCHAR(255),  databaseId INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE SDBSolution_directives (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT,  Source_Order INT) IN HYADES4K_TS;
CREATE TABLE SDBSymptom (  p_p VARCHAR(255),  description VARCHAR(255),  id VARCHAR(255),  databaseId INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE SDBSymptom_patterns (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE SDBSymptom_solutions (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT,  Source_Order INT) IN HYADES4K_TS;
CREATE TABLE SimpleOperand (  p_p VARCHAR(255),  rawValue VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  feature INT,  feature_TYPE SMALLINT,  type INT,  type_TYPE SMALLINT,  valueType INT,  valueType_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE SimpleSearchQuery (  p_p VARCHAR(255),  maxElements INT DEFAULT 0,  startWith INT DEFAULT 0,  id INT NOT NULL PRIMARY KEY,  whereExpression INT,  whereExpression_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCAgent (  p_p VARCHAR(255),  name VARCHAR(255),  type VARCHAR(255) DEFAULT '_unknown',  runtimeId VARCHAR(255),  startTime DOUBLE PRECISION DEFAULT 0.0,  stopTime DOUBLE PRECISION DEFAULT 0.0,  collectionMode VARCHAR(255) DEFAULT 'HEAP_STATISTICS_ONLY',  version VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  view INT,  view_TYPE SMALLINT,  process INT,  process_TYPE SMALLINT,  agentProxy INT,  agentProxy_TYPE SMALLINT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCAgentProxy (  p_p VARCHAR(255),  name VARCHAR(255),  type VARCHAR(255) DEFAULT '_unknown',  runtimeId VARCHAR(255),  startTime DOUBLE PRECISION DEFAULT 0.0,  stopTime DOUBLE PRECISION DEFAULT 0.0,  collectionMode VARCHAR(255) DEFAULT 'HEAP_STATISTICS_ONLY',  deltaTime DOUBLE PRECISION DEFAULT 0.0,  id INT NOT NULL PRIMARY KEY,  processProxy INT,  processProxy_TYPE SMALLINT,  processProxy_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCAgentProxy_annotations (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE TRCAgentProxy_internalCorrelations (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT) IN HYADES4K_TS;
CREATE TABLE TRCAgentProxy_relatedAgentProxies (  Source_Id INT,  Source_TYPE SMALLINT,  Target_Order INT,  Target_TYPE SMALLINT,  Target_Id INT,  Source_Order INT) IN HYADES4K_TS;
CREATE TABLE TRCAnnotation (  p_p VARCHAR(255),  name VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCAnnotation_values (  Id INT,  Value VARCHAR(255),  Order INT) IN HYADES4K_TS;
CREATE TABLE TRCConfiguration (  p_p VARCHAR(255),  name VARCHAR(255),  active CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  agentProxy INT,  agentProxy_TYPE SMALLINT,  agentProxy_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCEnvironmentVariable (  p_p VARCHAR(255),  name VARCHAR(255),  value VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  processProxy INT,  processProxy_TYPE SMALLINT,  processProxy_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE TRCExecParameter (  p_p VARCHAR(255),  key VARCHAR(255),  value VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  processProxy INT,  processProxy_TYPE SMALLINT,  processProxy_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE TRCFilter (  p_p VARCHAR(255),  type VARCHAR(255),  pattern VARCHAR(255),  mode VARCHAR(255),  active CHAR(1),  operation VARCHAR(255) DEFAULT '',  id INT NOT NULL PRIMARY KEY,  configuration INT,  configuration_TYPE SMALLINT,  configuration_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCMonitor (  p_p VARCHAR(255),  name VARCHAR(255),  startTime DOUBLE PRECISION DEFAULT 0.0,  stopTime DOUBLE PRECISION DEFAULT 0.0,  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCNode (  p_p VARCHAR(255),  runtimeId VARCHAR(255),  timezone DOUBLE PRECISION DEFAULT 0.0,  port INT DEFAULT 10002,  deltaTime DOUBLE PRECISION DEFAULT 0.0,  name VARCHAR(255),  description VARCHAR(255),  ipAddress VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  monitor INT,  monitor_TYPE SMALLINT,  monitor_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TRCOption (  p_p VARCHAR(255),  key VARCHAR(255),  value VARCHAR(8000),  id INT NOT NULL PRIMARY KEY,  configuration INT,  configuration_TYPE SMALLINT,  configuration_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES16K_TS;
CREATE TABLE TRCProcessProxy (  p_p VARCHAR(255),  name VARCHAR(255),  runtimeId VARCHAR(255),  pid INT DEFAULT 0,  classpath VARCHAR(255),  parameters VARCHAR(255),  launchMode INT DEFAULT 0,  location VARCHAR(255),  vmArguments VARCHAR(255),  active CHAR(1) DEFAULT '0',  id INT NOT NULL PRIMARY KEY,  node INT,  node_TYPE SMALLINT,  node_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE TimeBasedCorrelationQuery (  p_p VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE UnresolvedCorrelation (  p_p VARCHAR(255),  contextId VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  agent INT,  agent_TYPE SMALLINT,  agent_Order INT,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;
CREATE TABLE WhereExpression (  p_p VARCHAR(255),  name VARCHAR(255),  id INT NOT NULL PRIMARY KEY,  Is_EMF_Proxy CHAR(1)) IN HYADES4K_TS;

CREATE  INDEX ADE_PP ON AbstractDefaultEvent (id ASC, P_P ASC, agent ASC, agent_Order ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX DEF_PP ON CBEDEFAULTEVENT (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CBE_PP ON CBECOMMONBASEEVENT (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CBE_PTI ON CBECOMMONBASEEVENT (P_P ASC, creationTime ASC, id ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX EDE_PP ON CBEEXTENDEDDATAELEMENT (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_PP ON CBESituation (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SITREP_PP ON CBEReportSituation (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX COMPIND_PP ON CBEComponentIdentification (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CONTDE_PP ON CBEContextDataElement (P_P ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX AGENT_PP ON TRCAgent (P_P ASC)  PCTFREE 10 MINPCTUSED 10;

CREATE  INDEX DEF_V ON CBEDefaultElement_values (id ASC, order ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CBE_OD ON CBECommonBaseEvent_otherData (id ASC, order ASC)  PCTFREE 10 MINPCTUSED 10;

CREATE  INDEX DEF_C ON CBEDefaultElement_children (SOURCE_ID ASC, TARGET_ORDER ASC, TARGET_ID ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX DEF_EP ON CBEDefaultEvent_extendedProperties (SOURCE_ID ASC, TARGET_ORDER ASC, TARGET_ID ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX EDE_CDE ON CBECommonBaseEvent_contextDataElements (SOURCE_ID ASC, TARGET_ORDER ASC, TARGET_ID ASC)  PCTFREE 10 MINPCTUSED 10;

CREATE  INDEX CORR_EN ON CorrelationEntry (P_P ASC,correlationContainer ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CORR_CIK ON CorrelationEntry (correlationContainer ASC, id ASC, key ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CORR_ENV ON CorrelationEntry_value (SOURCE_ID ASC, TARGET_ORDER ASC, TARGET_ID ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CORR_PARAM ON Correlation_Params (deltaTime ASC,correlationContainer ASC,agentPath ASC)  PCTFREE 10 MINPCTUSED 10;

CREATE  INDEX CBE_TIME ON CBECOMMONBASEEVENT (CREATIONTIME ASC, SEQUENCENUMBER ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX CORR_TMP ON CORRELATION_TEMP (CREATIONTIME ASC)  PCTFREE 10 MINPCTUSED 10;

CREATE  INDEX PROX_TB ON Proxy_Table (URI ASC, Table_Name ASC, Id ASC,Proxy_URI ASC )  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX RES_TB ON Resource_Table (URI ASC, Table_Name ASC, Id ASC )  PCTFREE 10 MINPCTUSED 10;

CREATE  INDEX SIT_AVAIL ON CBEAvailableSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_CONF ON CBEConfigureSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_CONN ON CBEConnectSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_CRE ON CBECreateSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_DEP ON CBEDependencySituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_DESTR ON CBEDestroySituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_FEAT ON CBEFeatureSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_OTHER ON CBEOtherSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_OTHER_ANY ON CBEOtherSituation_anyData (id ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_REP ON CBEReportSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_REQ ON CBERequestSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_START ON CBEStartSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
CREATE  INDEX SIT_STOP ON CBEStopSituation (id ASC,p_p ASC)  PCTFREE 10 MINPCTUSED 10;
 
COMMIT;
CONNECT RESET;
